---
title: "List startups"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › startups

`GET /v2/startups`

## Query parameters

- `search` (`startup-list-startups.query.search`; string, optional)
  - minLength 1
- `sector` (`startup-list-startups.query.sector`; string, optional)
  - minLength 1
- `geography` (`startup-list-startups.query.geography`; string, optional)
  - minLength 1
- `raiseStatus` (`startup-list-startups.query.raiseStatus`; any of, optional)
  - any of: `string`, `string`
- `stage` (`startup-list-startups.query.stage`; string, optional)
  - one of `"idea"`, `"pre_seed"`, `"seed"`, `"series_a"`, `"series_b"`, `"growth"`, `"later"`
- `limit` (`startup-list-startups.query.limit`; number, optional)
  - min 1; max 100; default `20`
- `offset` (`startup-list-startups.query.offset`; number, optional)
  - min 0; default `0`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/startups
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/startups';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/startups"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "slug": "string",
      "displayName": "string",
      "stage": "idea",
      "sector": "string",
      "geography": "string",
      "raiseStatus": "not_raising",
      "tractionSummary": "string",
      "website": "string",
      "linkedinUrl": "string",
      "xHandle": "string",
      "sourceProvenance": {
        "importBatchId": "d9666c04-2b16-4738-89c4-d386251587b6",
        "importRowId": "91b57e57-1b38-477b-8dae-f93ae4149430",
        "source": "string",
        "sourceUrl": "http://example.com",
        "reviewedBy": "string",
        "reviewedAt": "2019-08-24T14:15:22Z",
        "enrichment": [
          {
            "provider": "string",
            "status": "pending",
            "checkedAt": "2019-08-24T14:15:22Z",
            "error": "string"
          }
        ]
      },
      "enrichmentStatus": "not_started",
      "enrichmentError": "string",
      "claimStatus": "unclaimed",
      "publicationStatus": "draft",
      "profileVisibility": {
        "stage": "public",
        "sector": "public",
        "geography": "public",
        "raiseStatus": "public",
        "tractionSummary": "public",
        "website": "public",
        "linkedinUrl": "public",
        "xHandle": "public"
      },
      "claimedBy": "string",
      "claimedAt": "2019-08-24T14:15:22Z",
      "reviewedBy": "string",
      "reviewedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`startup-list-startups.response.200.data`; array<object>, required)
  - `id` (`startup-list-startups.response.200.data.id`; string, required)
    - format `uuid`
  - `entityId` (`startup-list-startups.response.200.data.entityId`; string, required)
    - format `uuid`
  - `slug` (`startup-list-startups.response.200.data.slug`; string, required)
  - `displayName` (`startup-list-startups.response.200.data.displayName`; string, required)
  - `stage` (`startup-list-startups.response.200.data.stage`; string, required, nullable)
    - one of `"idea"`, `"pre_seed"`, `"seed"`, `"series_a"`, `"series_b"`, `"growth"`, `"later"`
  - `sector` (`startup-list-startups.response.200.data.sector`; string, required, nullable)
  - `geography` (`startup-list-startups.response.200.data.geography`; string, required, nullable)
  - `raiseStatus` (`startup-list-startups.response.200.data.raiseStatus`; any of, required, nullable)
    - any of: `string`, `string`
  - `tractionSummary` (`startup-list-startups.response.200.data.tractionSummary`; string, required, nullable)
  - `website` (`startup-list-startups.response.200.data.website`; string, required, nullable)
  - `linkedinUrl` (`startup-list-startups.response.200.data.linkedinUrl`; string, required, nullable)
  - `xHandle` (`startup-list-startups.response.200.data.xHandle`; string, required, nullable)
  - `sourceProvenance` (`startup-list-startups.response.200.data.sourceProvenance`; object, required)
    - `importBatchId` (`startup-list-startups.response.200.data.sourceProvenance.importBatchId`; string, optional)
      - format `uuid`
    - `importRowId` (`startup-list-startups.response.200.data.sourceProvenance.importRowId`; string, optional)
      - format `uuid`
    - `source` (`startup-list-startups.response.200.data.sourceProvenance.source`; string, optional)
    - `sourceUrl` (`startup-list-startups.response.200.data.sourceProvenance.sourceUrl`; string, optional)
      - format `uri`
    - `reviewedBy` (`startup-list-startups.response.200.data.sourceProvenance.reviewedBy`; string, optional)
    - `reviewedAt` (`startup-list-startups.response.200.data.sourceProvenance.reviewedAt`; string, optional)
      - format `date-time`
    - `enrichment` (`startup-list-startups.response.200.data.sourceProvenance.enrichment`; array<object>, optional)
      - `provider` (`startup-list-startups.response.200.data.sourceProvenance.enrichment.provider`; string, required)
      - `status` (`startup-list-startups.response.200.data.sourceProvenance.enrichment.status`; string, required)
        - one of `"pending"`, `"succeeded"`, `"failed"`
      - `checkedAt` (`startup-list-startups.response.200.data.sourceProvenance.enrichment.checkedAt`; string, optional)
        - format `date-time`
      - `error` (`startup-list-startups.response.200.data.sourceProvenance.enrichment.error`; string, optional)
  - `enrichmentStatus` (`startup-list-startups.response.200.data.enrichmentStatus`; string, required)
    - one of `"not_started"`, `"pending"`, `"succeeded"`, `"failed"`
  - `enrichmentError` (`startup-list-startups.response.200.data.enrichmentError`; string, required, nullable)
  - `claimStatus` (`startup-list-startups.response.200.data.claimStatus`; string, required)
    - one of `"unclaimed"`, `"claim_pending"`, `"claimed"`, `"rejected"`
  - `publicationStatus` (`startup-list-startups.response.200.data.publicationStatus`; string, required)
    - one of `"draft"`, `"review_required"`, `"published"`, `"archived"`
  - `claimedBy` (`startup-list-startups.response.200.data.claimedBy`; string, required, nullable)
  - `claimedAt` (`startup-list-startups.response.200.data.claimedAt`; string, required, nullable)
    - format `date-time`
  - `reviewedBy` (`startup-list-startups.response.200.data.reviewedBy`; string, required, nullable)
  - `reviewedAt` (`startup-list-startups.response.200.data.reviewedAt`; string, required, nullable)
    - format `date-time`
  - `createdAt` (`startup-list-startups.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`startup-list-startups.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `profileVisibility` (`startup-list-startups.response.200.data.profileVisibility`; object, optional, nullable)
    - `stage` (`startup-list-startups.response.200.data.profileVisibility.stage`; string, required)
      - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
    - `sector` (`startup-list-startups.response.200.data.profileVisibility.sector`; string, required)
      - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
    - `geography` (`startup-list-startups.response.200.data.profileVisibility.geography`; string, required)
      - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
    - `raiseStatus` (`startup-list-startups.response.200.data.profileVisibility.raiseStatus`; string, required)
      - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
    - `tractionSummary` (`startup-list-startups.response.200.data.profileVisibility.tractionSummary`; string, required)
      - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
    - `website` (`startup-list-startups.response.200.data.profileVisibility.website`; string, required)
      - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
    - `linkedinUrl` (`startup-list-startups.response.200.data.profileVisibility.linkedinUrl`; string, required)
      - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
    - `xHandle` (`startup-list-startups.response.200.data.profileVisibility.xHandle`; string, required)
      - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
- `meta` (`startup-list-startups.response.200.meta`; object, required)
  - `total` (`startup-list-startups.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`startup-list-startups.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`startup-list-startups.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`startup-list-startups.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`startup-list-startups.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`startup-list-startups.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startups.response.400.error`; object, required)
  - `code` (`startup-list-startups.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startups.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startups.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startups.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startups.response.401.error`; object, required)
  - `code` (`startup-list-startups.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startups.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startups.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startups.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startups.response.403.error`; object, required)
  - `code` (`startup-list-startups.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startups.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startups.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startups.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startups.response.404.error`; object, required)
  - `code` (`startup-list-startups.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startups.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startups.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startups.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startups.response.409.error`; object, required)
  - `code` (`startup-list-startups.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startups.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startups.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startups.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startups.response.500.error`; object, required)
  - `code` (`startup-list-startups.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startups.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startups.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startups.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-startups.response.503.error`; object, required)
  - `code` (`startup-list-startups.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-startups.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-startups.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-startups.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/startups/list/index.md
